Lavalite package that provides autos_part management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `parts/autos_part`.

    "parts/autos_part": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Parts\AutosPart\Providers\AutosPartServiceProvider::class,

And also add it to alias

    'AutosPart'  => Parts\AutosPart\Facades\AutosPart::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Parts\\AutosPart\\Seeders\\AutosPartTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Parts\AutosPart\Providers\AutosPartServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Parts\AutosPart\Providers\AutosPartServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Parts\AutosPart\Providers\AutosPartServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/autos_part/{modulename}

**User**

    http://path-to-route-folder/user/autos_part/{modulename}

**Public**

    http://path-to-route-folder/autos_parts


### API endpoints

**List**

    http://path-to-route-folder/api/user/autos_part/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/autos_part/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/autos_part/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/autos_part/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/autos_part/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/autos_part/{modulename}/{slug}
    METHOD: GET